# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of OpenCPI <http://www.opencpi.org>
#
# OpenCPI is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

$(if $(realpath $(OCPI_CDK_DIR)),,$(error The OCPI_CDK_DIR environment variable is not set correctly.))

Containers= \
    cnt_zcu102_base_hpc0_fmcomms_2_3_hpc_scdcd \
    cnt_zcu102_base_hpc1_fmcomms_2_3_hpc_scdcd \
#   cnt_zcu102_1rx_1tx_hpc0_fmcomms_2_3_hpc_scdcd \
    cnt_zcu102_1rx_1tx_hpc1_fmcomms_2_3_hpc_scdcd \

DefaultContainers=
ExcludePlatforms=isim modelsim xsim
Libraries+=misc_prims util_prims dsp_prims comms_prims

include $(OCPI_CDK_DIR)/include/hdl/hdl-assembly.mk
